#
# spec file for package ghc-semigroups
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name semigroups

Name:           ghc-semigroups
Version:        0.18.1
Release:        2.4
Summary:        Anything that associates
License:        BSD-3-Clause
Group:          System/Libraries

Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
# End cabal-rpm deps

%description
In mathematics, a semigroup is an algebraic structure consisting of a set
together with an associative binary operation. A semigroup generalizes a monoid
in that there might not exist an identity element. It also (originally)
generalized a group (a monoid with all inverses) to a type where every element
did not have to have an inverse, thus the name semigroup.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.markdown

%changelog
* Fri Jan 29 2016 mimi.vx@gmail.com
- update to 0.18.1
  * Add the missing instance for Data.Binary.Builder.Builder.
* Wed Dec 23 2015 mimi.vx@gmail.com
- update to 0.18.0.1
- dropped nats.cabal.patch
  * Removed the partial functions words, unwords, lines, unlines
  * Added support for base-4.9
* Tue Dec 15 2015 mimi.vx@gmail.com
- update to 0.17.0.1
  * Fixed the @since annotations
  * Added groupWith, groupAllWith, groupWith1, groupAllWith1
  * Renamed sortOn to sortWith to match the "Comprehensive comprehensions" paper and
  TransformListComp extension.
  * Add Semigroup instances for Alt, Void, Proxy and Tagged
  * Add Num instances for Min and Max
  * Removed times1p in favor of stimes.
* Thu May 14 2015 mimi.vx@gmail.com
- add nats.cabal.patch -- remove ghc-nats from deps
* Tue Apr 21 2015 mimi.vx@gmail.com
- update to 0.16.2.2
  * Added `genericMappend` and supporting `GSemigroup` class for generically deriving Semigroup instances.
  * Added `Arg a b` which only compares for equality/order on its first argument, which
    can be used to compute `argmin` and `argmax`.
  * Add `Bifunctor` `Arg` instance to avoid orphans for GHC 7.10+.
  * Added missing `Data.Monoid.Generic` module to source control.
  * Added `Semigroup` instances for various Builder constructions in `text` and `bytestring` where available.
  * Added `MonadFix` and `MonadPlus` instances for `NonEmpty`.
  * `times1p` and `timesN` are now reduced to accepting only a `Natural` argument.
    `Whole` doesn't exist in GHC 7.10's Numeric.Natural, and `nats` version 1 has removed support for the class.
* Thu Nov 13 2014 peter.trommler@ohm-hochschule.de
- update to 0.15.4
  * compatibility with Haskell Platform 2014.2.0.0
  * no upstream changelog
* Thu Mar 27 2014 sbahling@suse.com
-  Correct package license (BSD-2-Clause)
* Mon Oct 28 2013 sbahling@suse.com
- Update to version 0.11
  Use cabal-rpm specfile template
* Thu Jun  7 2012 herbert@graeber-clan.de
- fix arch
* Thu Jun  7 2012 herbert@graeber-clan.de
- update for haskell platform 2012.2.0.0
  spec file template generated by cabal2spec-0.25.5
* Sat Jan 21 2012 herbert@graeber-clan.de
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
